diff -pru tar-1.13-autodetect/src/tar.c tar-1.13-pet/src/tar.c
--- tar-1.13-autodetect/src/tar.c	2008-09-30 20:30:12.000000000 +0200
+++ tar-1.13-pet/src/tar.c	2008-09-30 20:39:53.000000000 +0200
@@ -22,6 +22,8 @@
 
 /* Patched to autodetect compression method based on file extension */
 
+/* Patched to handle archives with '.pet' suffix as '.tgz' archives */
+
 #include "system.h"
 
 #include <getopt.h>
@@ -665,6 +667,10 @@ decode_options (int argc, char *const *a
 	        ssize_t len=strlen(optarg);
                 if (len>=2 && strcmp(optarg+len-2,".Z")==0) archive_is_z=1;
               }
+	      {
+	        ssize_t len=strlen(optarg);
+                if (len>=4 && strcmp(optarg+len-4,".pet")==0) archive_is_gz=1;
+              }
 	   }
         }
 	archive_name_array[archive_names++] = optarg;
